at.chipkarte.client.abs.soap

## Class FolgeverordnungsAusstellungsParameter

- Object
- - at.chipkarte.client.abs.soap.FolgeverordnungsAusstellungsParameter

-     public class FolgeverordnungsAusstellungsParameter
      extends Object

  Enthält die Parameter zum `Ausstellen einer Folgeverordnung`.

  Optionale Felder dürfen den Wert `null` oder, im Fall von Strings, einen Leerstring zurückliefern. Pflichtfelder dürfen weder `null` noch einen Leerstring zurückliefern. Felder, die nicht explizit als optional gekennzeichnet sind, sind Pflichtfelder.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FolgeverordnungsAusstellungsParameter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Integer` | `getBeantragteAbgabemenge()` Beantragte Abgabemenge (Packungsanzahl) des verschriebenen Medikaments.
    `String` | `getMedikamentName()` Eindeutiger Name des Medikaments.
    `String` | `getPharmanummer()` Pharmanummer des Medikaments.
    `String` | `getSVNRPatient()` Sozialversicherungsnummer des Patienten, für den das Bestehen einer Langzeitbewilligung abgefragt wird.
    `String` | `getSVTCode()` Eindeutiger Code des leistungszuständigen Krankenversicherungsträgers.
    `void` | `setBeantragteAbgabemenge(Integer beantragteAbgabemenge)`
    `void` | `setMedikamentName(String medikamentName)`
    `void` | `setPharmanummer(String pharmanummer)`
    `void` | `setSVNRPatient(String patient)`
    `void` | `setSVTCode(String code)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FolgeverordnungsAusstellungsParameter

          public FolgeverordnungsAusstellungsParameter()

  - ### Method Detail

    - #### getBeantragteAbgabemenge

          public Integer getBeantragteAbgabemenge()

      Beantragte Abgabemenge (Packungsanzahl) des verschriebenen Medikaments.
      Format: [1..99]
      Angabe: Muss
      Returns:
        Beantragte Abgabemenge

    - #### getSVTCode

          public String getSVTCode()

      Eindeutiger Code des leistungszuständigen Krankenversicherungsträgers.
      Mögliche Werte siehe `getSVTs`.
      Optional
      Format: 2-stellig, numerisch
      Returns:
        Code des leistungszuständigen Krankenversicherungsträgers

    - #### setBeantragteAbgabemenge

          public void setBeantragteAbgabemenge(Integer beantragteAbgabemenge)

    - #### setSVTCode

          public void setSVTCode(String code)

    - #### getMedikamentName

          public String getMedikamentName()

      Eindeutiger Name des Medikaments.
      Format: maximal 100-stellig
      Angabe: Bedingt. Wird er nicht angegeben, muss jedoch die `Pharmanummer` angegeben werden. Wird der Medikamentenname angegeben, darf die `Pharmanummer` nicht angegeben werden.
      Es wird nur dann eine Langzeitbewilligung gefunden, wenn der Medikamentenname folgender Bildungsvorschrift entspricht:
      Feldaufbau laut Datensatzbeschreibung DEKO:
      <Kurzname> + " " + <Mengenangabe> + " " +<Mengenart>
      Wenn die einzelnen Felder (Kurzname, Mengenangabe und Mengenart) am Anfang und am Ende Leerzeichen ("Blanks") enthalten, müssen diese weggetrimmt werden! Leerzeichen innerhalb des Kurznamens dürfen nicht getrimmt werden!
      Beispiel:
      Medikamentenname = "`VIAGRA FTBL 25MG 4 ST`"
      Der Kurzname laut DEKO = "`VIAGRA FTBL 25MG`"
      Da im Kurznamen selbst zwischen `FTBL` und `25MG` zwei Leerzeichen vorhanden sind, werden diese nicht mit weggetrimmt!
      Returns:
        Medikamentenname

    - #### getPharmanummer

          public String getPharmanummer()

      Pharmanummer des Medikaments.
      Format: maximal 9-stellig, numerisch
      Die Pharmanummer muss den Regeln für Pharmanummern (Prüfziffer) entsprechen.
      Angabe: Bedingt. Wird sie nicht angegeben, muss jedoch der `Medikamentname` angegeben werden. Wird die Pharmanummer angegeben, darf der `Medikamentname` nicht angegeben werden.
      Returns:
        Pharmanummer

    - #### getSVNRPatient

          public String getSVNRPatient()

      Sozialversicherungsnummer des Patienten, für den das Bestehen einer Langzeitbewilligung abgefragt wird.
      Format: 10-stellig
      Angabe: Bedingt. Wird die SVNR nicht angegeben, muss ein mit e-card erzeugtes CardToken angegeben werden. Wird die SVNR gemeinsam mit dem CardToken angegeben, so muss das CardToken mit der entsprechenden e-card erzeugt worden sein.
      Returns:
        Sozialversicherungsnummer

    - #### setMedikamentName

          public void setMedikamentName(String medikamentName)

    - #### setPharmanummer

          public void setPharmanummer(String pharmanummer)

    - #### setSVNRPatient

          public void setSVNRPatient(String patient)